Subject: RE: [Mip4] MIP NAT Traversal Question

From: "Arunkumar Sivaraman" <[email-masked]>
Date: Thu, 7 Dec 2006 17:50:15 +0530

My question in a MIP NAT scenario, what is the Care of Address(CoA) that
the HA puts in a reg. req reply once it detects MN/FA is behind a NAT.
Is it the private address of the FA as sent in the reg. req. or is it
the source address (NAT's address, possibly) that the HA see's in the
received reg. req. packet?

regards,
 
Arunkumar Sivaraman,
Airvana India Pvt. Ltd.,
Ph: +91-80-41348788.
 
"I once wanted to become an atheist, 
but I gave up - they have no holidays."

-----Original Message-----
From: Henrik Levkowetz [mailto:[email-masked]] 
Sent: Thursday, December 07, 2006 4:20 PM
To: Arunkumar Sivaraman
Cc: [email-masked]
Subject: Re: [Mip4] MIP NAT Traversal Question

Hi,

on 2006-12-07 09:36 Arunkumar Sivaraman said the following:
> Hello,
> 
> I have a question regarding MIP NAT traversal as per rfc 3519.
> 
> The rfc states in para 5, sec 4.6:
> 
> If the home agent assents to UDP tunnelling, it MUST use the source
> address of the registration request as the effective care-of address,
> rather than the care-of address given in the registration request,
> except in the case where the 'R' flag is set in the UDP Tunnel Request
> Extension.
> 
> The question I have is, what address does the HA put as the CoA in the
> registration reply, when it assents to UDP tunneling. Is it the source
> address(NAT router addr) of the registration request packet or the CoA
> as sent by the FA?

If you are you asking to which IP address the HA sends the registration
reply packet, the answer is given by Section 3.4 of RFC 3344:
http://tools.ietf.org/html/rfc3344#section-3.4

	Henrik

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 07 Dec 2006 16:59:18 +0100

Hi,

> received reg. req. packet?

If my answer wasn't sufficient for you, you'll have to specify *where*
in the registration reply you are talking about putting the CoA.  In
the response IP header?  In the MIP message header?  In some MIP extension?

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 08 Dec 2006 03:11:44 +0100

Hi Arun,

on 2006-12-08 02:51 Arunkumar Sivaraman said the following:
...
> 
> on 2006-12-07 18:59 Arunkumar Sivaraman said the following:
>> Let me probably restate my question.
>> 
>> If during initial reg. req. the HA has assented for UDP tunneling and
>> for that particular session reg. revoc. has been negotiated, then
>> when the actual reg. revocation has to be sent to the FA, does the HA
>> put the foreign domain address in the reg. revoc. pkt as the private
>> address of the FA or does it still put the public ip address of the
>> NAT router, behind which the FA resides.
>> 
>> RFC 3543 states foregin domain address to be foreign's agent IP
>> address.
> 
> Ah.  Now this actually becomes interesting, and not something already
> obviously covered in From [email-masked] Thu Dec 07 21:12:22 2006
Date: Fri, 08 Dec 2006 03:11:44 +0100
From: Henrik Levkowetz <[email-masked]>
To: Arunkumar Sivaraman <[email-masked]>
Subject: Re: [Mip4] MIP NAT Traversal Question
Cc: Mobile IPv4 Mailing List <[email-masked]>

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)

Hi Arun,

on 2006-12-08 02:51 Arunkumar Sivaraman said the following:
...
> 
> on 2006-12-07 18:59 Arunkumar Sivaraman said the following:
>> Let me probably restate my question.
>> 
>> If during initial reg. req. the HA has assented for UDP tunneling and
>> for that particular session reg. revoc. has been negotiated, then
>> when the actual reg. revocation has to be sent to the FA, does the HA
>> put the foreign domain address in the reg. revoc. pkt as the private
>> address of the FA or does it still put the public ip address of the
>> NAT router, behind which the FA resides.
>> 
>> RFC 3543 states foregin domain address to be foreign's agent IP
>> address.
> 
> Ah.  Now this actually becomes interesting, and not something already
> obviously covered in existing documents.
> 
> 
> My thought would be that the destination IP address has to be the
> effective CoA (in order for the registration revocation message to
> reach the FA at all), but the Foreign Domain Address must be the
> CoA indicated by the FA in as CoA in the Registration Request message,
> so that the FA can retrieve the proper context for the revocation.
> 
> [Arun]: This was my understanding too though the RFC doesn't
> explicitly mention it. So, what this means is that even though as per
> RFC 3519, the HA will use the source address of the reg. req. packet
> as the 'effective' CoA, for all HA-initiated MIP signalling

No!

We've *only* covered the Foreign Domain Address of the registration
revocation message here, nothing else.  If there are other cases not
covered in 3519, we need to inspect them individually to understand
the effects.

> messages
> like the registration revocation, the HA will still continue to use
> the original CoA - aka the private address of the FA.

I'm sure you mean this right, but what you're saying lacks the
necessary distinctions.

What we can say is that in the IP header, the HA follows Section 3.4
of RFC 3344, which is equivalent with using the effective CoA, while
for the Foreign Domain Address of a Registration Revocation, it uses
the CoA received in the Registration Request message from the FA,
which you call the original CoA.

> [Arun]: Can we add a text to RFC 3519 to explicitly state the use of
> CoA for HA-initiated mip signalling messages in NAT scenarios?

If we do a bis version of RFC 3519, it might make sense to add
text about the Foreign Domain Address of the Registration Revocation
message, but we can't add any general text about this without
understanding the effects.

> Do you mind if I send this reply to the MIP4 list too?
> [Arun]: I forgot to copy the group in my last mail. Pls do so. 

Done.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 08 Dec 2006 03:12:07 +0100

Hi Arun,

	Henrik